Routescope APIRoutescope API
Model API DocumentationVideo Models

Batch Import Public Asset URLs

Batch import public image, video, or audio URLs.

Batch import public image, video, or audio URLs. When groupId is provided, URLs are imported into an existing asset group. When groupId is omitted, a new asset group is created. A single request should generally contain no more than 50 URLs.

POST
/v1/api/video-studio/assets/ecloud/import-urls
curl -X POST "https://api.routescope.ai/v1/api/video-studio/assets/ecloud/import-urls" \  -H "Content-Type: application/json" \  -d '{    "assetUrls": [      "https://example.com/path/to/image-1.png",      "https://example.com/path/to/image-2.png"    ],    "assetType": "Image"  }'
{
  "data": {
    "group": {
      "groupId": "group_xxx",
      "groupName": "Product asset group",
      "displayName": "Product asset group",
      "groupType": "AIGC"
    },
    "assets": [
      {
        "fileName": "image.png",
        "assetName": "image.png",
        "assetType": "Image",
        "assetId": "asset_xxx",
        "assetUrl": "https://example.com/path/to/asset.png",
        "coverUrl": "https://example.com/path/to/asset.png",
        "status": "SUCCESS",
        "createdTime": "2026-06-30T00:00:00Z"
      }
    ]
  },
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}

Authorization

BearerAuth

AuthorizationBearer <token>

Use this project's gateway token: Authorization: Bearer <API_TOKEN>. This is not the upstream asset-library API key.

In: header

Request Body

application/json

assetUrls*array<string>

Array of public asset URLs. A single request should generally contain at most 50 URLs.

Itemsitems <= 50
assetType*string

Asset type. In batch imports, all URLs in the same batch use the same type.

Value in"Image" | "Video" | "Audio"
groupId?string

Existing asset group ID. When this field is provided, the server first validates whether the current user owns that asset group.

groupName?string

New asset group name. Can be used when groupId is omitted.

displayName?string

Asset group display name. Can be used when groupId is omitted.

Response Body

application/json

application/json

application/json

Last updated on